# \hhu\z\questtypesTextinputQuesttypeModel

Model of the TextinputQuesttypeAgent for inserting text.

## Summary

Methods
Properties
Constants
load()
factory()
checkClass()
getTextinputQuest()
getTextinputFields()
setCharacterSubmission()
getCharacterSubmission()
setTextForQuest()
setFieldForText()
getFieldSizes()
No public properties found
No constants found
__construct()
$db
N/A
getClassName()
loadClass()
loadDriver()
connect()
loadModels()
No private properties found
N/A

File
  questtypes/textinput/TextinputQuesttypeModel.inc
Package
  Default
Class hierarchy
  \nre\core\Model
  \nre\models\DatabaseModel
  \hhu\z\Model
  \hhu\z\models\QuesttypeModel
  \hhu\z\questtypes\TextinputQuesttypeModel

## Tags

author | Oliver Hanraths oliver.hanraths@uni-duesseldorf.de

## Properties

### $db

    $db : \nre\models\DatabaseDriver

Database connection

#### Type

\nre\models\DatabaseDriver

#

Inherited from
  \nre\models\DatabaseModel

## Tags

static |

## Methods

### load()

    load(string  $modelName)

Load the class of a Model.

#### Parameters

string | $modelName | Name of the Model to load

#### Throws

\nre\exceptions\ModelNotFoundException
\nre\exceptions\ModelNotValidException

#

static

Inherited from
  \nre\core\Model

## Tags

None found

### factory()

    factory(string  $modelName)

Instantiate a Model (Factory Pattern).

#### Parameters

string | $modelName | Name of the Model to instantiate

#

static

Inherited from
  \nre\core\Model

## Tags

None found

### checkClass()

    checkClass(string  $className, string  $parentClassName)

Check inheritance of the QuesttypeModel-class.

#### Parameters

string | $className | Name of the class to check
string | $parentClassName | Name of the parent class

#### Throws

\nre\exceptions\ClassNotValidException

#

static

Inherited from
  \hhu\z\models\QuesttypeModel

## Tags

static |

### getTextinputQuest()

    getTextinputQuest(integer  $questId) : array

Get textinput-text for a Quest.

#### Parameters

integer | $questId | ID of Quest

#### Returns

array —

Textinput-text

#

## Tags

None found

### getTextinputFields()

    getTextinputFields(integer  $questId) : array

Get fields for a textinput-text.

#### Parameters

integer | $questId | ID of Quest

#### Returns

array —

Fields

#

## Tags

None found

### setCharacterSubmission()

    setCharacterSubmission(integer  $fieldId, integer  $characterId, string  $answer)

Save Character’s submitted answer for one textinput field.

#### Parameters

integer | $fieldId | ID of field
integer | $characterId | ID of Character
string | $answer | Submitted answer for this field

#

## Tags

None found

### getCharacterSubmission()

    getCharacterSubmission(integer  $fieldId, integer  $characterId) : string

Get answer of one input field submitted by Character.

#### Parameters

integer | $fieldId | ID of field
integer | $characterId | ID of Character

#### Returns

string —

Submitted answer for this field or empty string

#

## Tags

None found

### setTextForQuest()

    setTextForQuest(integer  $userId, integer  $questId, string  $text)

Set the text for a Quest and correct fields count.

#### Parameters

integer | $userId | ID of user setting text
integer | $questId | ID of Quest to set text for
string | $text | Text for Quest

#

## Tags

None found

### setFieldForText()

    setFieldForText(integer  $questId, integer  $number, integer  $sizeId, string  $regex)

Set values for a field of a text.

#### Parameters

integer | $questId | ID of Quest to set field for
integer | $number | Field number
integer | $sizeId | ID of field size
string | $regex | RegEx for field

#

## Tags

None found

### getFieldSizes()

    getFieldSizes() : \hhu\z\questtypes\List

Get all registered field sizes.

#### Returns

\hhu\z\questtypes\List —

of field sizes

#

## Tags

None found

### __construct()

    __construct()

Construct a new Model.

TODO Catch exception

#### Throws

\nre\exceptions\DatamodelException
\nre\exceptions\DriverNotFoundException
\nre\exceptions\DriverNotValidException
\nre\exceptions\ModelNotValidException
\nre\exceptions\ModelNotFoundException

#

Inherited from
  \nre\core\Model

## Tags

None found

### getClassName()

    getClassName(string  $modelName) : string

Determine the classname for the given Model name.

#### Parameters

string | $modelName | Model name to get classname of

#### Returns

string —

Classname fore the Model name

#

static

Inherited from
  \nre\core\Model

## Tags

None found

### loadClass()

    loadClass(string  $questtypeName, string  $fullClassName)

Load the class of a QuesttypeModel.

#### Parameters

string | $questtypeName | Name of the QuesttypeModel to load
string | $fullClassName | Name of the class to load

#### Throws

\nre\exceptions\ClassNotFoundException

#

static

Inherited from
  \hhu\z\models\QuesttypeModel

## Tags

static |

### loadDriver()

    loadDriver(string  $driverName)

Load the database driver.

#### Parameters

string | $driverName | Name of the database driver

#### Throws

\nre\exceptions\DriverNotFoundException
\nre\exceptions\DriverNotValidException

#

Inherited from
  \nre\models\DatabaseModel

## Tags

None found

### connect()

    connect(string  $driverName, array  $config)

Establish a connection to the database.

#### Parameters

string | $driverName | Name of the database driver
array | $config | Connection settings

#### Throws

\nre\exceptions\DatamodelException

#

Inherited from
  \nre\models\DatabaseModel

## Tags

None found

### loadModels()

    loadModels()

Load the Models of this Model.

#### Throws

\nre\exceptions\DatamodelException
\nre\exceptions\DriverNotFoundException
\nre\exceptions\DriverNotValidException
\nre\exceptions\ModelNotValidException
\nre\exceptions\ModelNotFoundException

#

Inherited from
  \nre\core\Model

## Tags

None found

### TextinputQuesttypeModel.inc